Class CfnListenerRulePropsMixin.RedirectConfigProperty.Builder
java.lang.Object
software.amazon.awscdk.cfnpropertymixins.services.elasticloadbalancingv2.CfnListenerRulePropsMixin.RedirectConfigProperty.Builder
- All Implemented Interfaces:
software.amazon.jsii.Builder<CfnListenerRulePropsMixin.RedirectConfigProperty>
- Enclosing interface:
CfnListenerRulePropsMixin.RedirectConfigProperty
@Stability(Stable)
public static final class CfnListenerRulePropsMixin.RedirectConfigProperty.Builder
extends Object
implements software.amazon.jsii.Builder<CfnListenerRulePropsMixin.RedirectConfigProperty>
A builder for
CfnListenerRulePropsMixin.RedirectConfigProperty-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionbuild()Builds the configured instance.Sets the value ofCfnListenerRulePropsMixin.RedirectConfigProperty.getHost()Sets the value ofCfnListenerRulePropsMixin.RedirectConfigProperty.getPath()Sets the value ofCfnListenerRulePropsMixin.RedirectConfigProperty.getPort()Sets the value ofCfnListenerRulePropsMixin.RedirectConfigProperty.getProtocol()Sets the value ofCfnListenerRulePropsMixin.RedirectConfigProperty.getQuery()statusCode(String statusCode) Sets the value ofCfnListenerRulePropsMixin.RedirectConfigProperty.getStatusCode()
-
Constructor Details
-
Builder
public Builder()
-
-
Method Details
-
host
@Stability(Stable) public CfnListenerRulePropsMixin.RedirectConfigProperty.Builder host(String host) Sets the value ofCfnListenerRulePropsMixin.RedirectConfigProperty.getHost()- Parameters:
host- The hostname. This component is not percent-encoded. The hostname can contain #{host}.- Returns:
this
-
path
@Stability(Stable) public CfnListenerRulePropsMixin.RedirectConfigProperty.Builder path(String path) Sets the value ofCfnListenerRulePropsMixin.RedirectConfigProperty.getPath()- Parameters:
path- The absolute path, starting with the leading "/". This component is not percent-encoded. The path can contain #{host}, #{path}, and #{port}.- Returns:
this
-
port
@Stability(Stable) public CfnListenerRulePropsMixin.RedirectConfigProperty.Builder port(String port) Sets the value ofCfnListenerRulePropsMixin.RedirectConfigProperty.getPort()- Parameters:
port- The port. You can specify a value from 1 to 65535 or #{port}.- Returns:
this
-
protocol
@Stability(Stable) public CfnListenerRulePropsMixin.RedirectConfigProperty.Builder protocol(String protocol) Sets the value ofCfnListenerRulePropsMixin.RedirectConfigProperty.getProtocol()- Parameters:
protocol- The protocol. You can specify HTTP, HTTPS, or #{protocol}. You can redirect HTTP to HTTP, HTTP to HTTPS, and HTTPS to HTTPS. You can't redirect HTTPS to HTTP.- Returns:
this
-
query
@Stability(Stable) public CfnListenerRulePropsMixin.RedirectConfigProperty.Builder query(String query) Sets the value ofCfnListenerRulePropsMixin.RedirectConfigProperty.getQuery()- Parameters:
query- The query parameters, URL-encoded when necessary, but not percent-encoded. Do not include the leading "?", as it is automatically added. You can specify any of the reserved keywords.- Returns:
this
-
statusCode
@Stability(Stable) public CfnListenerRulePropsMixin.RedirectConfigProperty.Builder statusCode(String statusCode) Sets the value ofCfnListenerRulePropsMixin.RedirectConfigProperty.getStatusCode()- Parameters:
statusCode- The HTTP redirect code. The redirect is either permanent (HTTP 301) or temporary (HTTP 302).- Returns:
this
-
build
Builds the configured instance.- Specified by:
buildin interfacesoftware.amazon.jsii.Builder<CfnListenerRulePropsMixin.RedirectConfigProperty>- Returns:
- a new instance of
CfnListenerRulePropsMixin.RedirectConfigProperty - Throws:
NullPointerException- if any required attribute was not provided
-